SDL_PenTouchEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_WindowID | windowID
SDL_PenID | which
SDL_PenInputFlags | pen_state
float | x
float | y
bool | eraser
bool | down

## Detailed Description

Pressure-sensitive pen touched event structure (event.ptouch.*)

These events come when a pen touches a surface (a tablet, etc), or lifts off from one.

Since
  This struct is available since SDL 3.2.0.

Definition at line 866 of file SDL_events.h.

## Field Documentation

## down

bool SDL_PenTouchEvent::down

true if the pen is touching or false if the pen is lifted off

Definition at line 877 of file SDL_events.h.

## eraser

bool SDL_PenTouchEvent::eraser

true if eraser end is used (not all pens support this).

Definition at line 876 of file SDL_events.h.

## pen_state

SDL_PenInputFlags SDL_PenTouchEvent::pen_state

Complete pen input state at time of event

Definition at line 873 of file SDL_events.h.

## reserved

Uint32 SDL_PenTouchEvent::reserved

Definition at line 869 of file SDL_events.h.

## timestamp

Uint64 SDL_PenTouchEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 870 of file SDL_events.h.

## type

SDL_EventType SDL_PenTouchEvent::type

SDL_EVENT_PEN_DOWN or SDL_EVENT_PEN_UP

Definition at line 868 of file SDL_events.h.

## which

SDL_PenID SDL_PenTouchEvent::which

The pen instance id

Definition at line 872 of file SDL_events.h.

## windowID

SDL_WindowID SDL_PenTouchEvent::windowID

The window with pen focus, if any

Definition at line 871 of file SDL_events.h.

## x

float SDL_PenTouchEvent::x

X coordinate, relative to window

Definition at line 874 of file SDL_events.h.

## y

float SDL_PenTouchEvent::y

Y coordinate, relative to window

Definition at line 875 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h